# $Revision: 1.23.2.8 $, $Date: 2006/05/24 08:13:09 $
# TODO: 
#  *  Add a csharp bindings subpacakge (feel free to do it)
#  *  Package the Emacs an Jedit modes
#
# Conditional build:
%bcond_without	gcc_java	# use javac/java instead of gcj/gij (limits to architectures with Sun JDK)
#
Summary:	ANother Tool for Language Recognition
Summary(pl):	Jeszcze jedno narzdzie do rozpoznawania jzyka
Name:		antlr
Version:	2.7.5
Release:	5
License:	Public Domain
Group:		Development/Tools
Source0:	http://www.antlr.org/download/%{name}-%{version}.tar.gz
# Source0-md5:	1ef201f29283179c8e5ab618529cac78
Patch0:		%{name}-DESTDIR.patch
URL:		http://www.antlr.org/
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	python
BuildRequires:	rpmbuild(macros) >= 1.300
BuildRequires:	jpackage-utils
%if %{with gcc_java}
BuildRequires:	gcc-java
BuildRequires:	jar
# gij is in gcc-java in Ac
Requires:	gcc-java
%else
BuildRequires:	jar
BuildRequires:	jdk
Requires:	jre
ExclusiveArch:	i586 i686 pentium3 pentium4 athlon %{x8664}
%endif
Conflicts:	pccts < 1.33MR33-6
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ANTLR, ANother Tool for Language Recognition, (formerly PCCTS) is a
language tool that provides a framework for constructing recognizers,
compilers, and translators from grammatical descriptions containing
Java, C#, or C++ actions. ANTLR is popular because it is easy to
understand, powerful, flexible, generates human-readable output, and
comes with complete source. ANTLR provides excellent support for tree
construction, tree walking, and translation.

%description -l pl
ANTLR (ANother Tool for Language Recognition; poprzednio znane jako
PCCTS) to narzdzie jzykowe dostarczajce szkielet do tworzenia
programw rozpoznajcych jzyki, kompilatorw, translatorw z opisw
gramatycznych obejmujcych Jav, C# lub C++. ANTLR jest popularne
poniewa jest atwe do zrozumienia, potne, elastyczne, generuje
wyjcie czytelne dla czowieka i jest dostpne z penymi rdami.
ANTLR ma wietne wsparcie dla tworzenia drzew, przechodzenia po
drzewach oraz translacji.

%package -n python-%{name}
Summary:	Python runtime support for ANTLR-generated parsers
Summary(pl):	Modu uruchomieniowy jzyka Python dla analizatorw ANTLR
Group:		Libraries/Python
%pyrequires_eq	python-modules

%description -n python-%{name}
Python runtime support for ANTLR-generated parsers.

%description -n python-%{name} -l pl
Modu uruchomieniowy jzyka Python dla analizatorw wygenerowanych
przez ANTLR.

%prep
%setup -q
%patch0 -p1

%build
unset CLASSPATH || :

%if %{with gcc_java}
unset JAVA_HOME || :
%else
JAVA_HOME=%{java_home}
%endif

cp -f /usr/share/automake/config.sub scripts

%configure \
	%{?!with_gcc_java:CLASSPATH=`pwd` --with-javac=javac} \
	%{?with_gcc_java:--with-javac=gcj} \
	%{?without_gcc_java:--with-javac=javac} \
	%{?with_gcc_java:--with-java=gij} \
	%{?without_gcc_java:--with-java=java} \
	--disable-csharp

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_javadir},%{py_sitescriptdir}/%{name}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/antlr.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

%{__sed} -i -e "s,ANTLR_JAR=.*,ANTLR_JAR=\"%{_javadir}/antlr-%{version}.jar\",g" $RPM_BUILD_ROOT%{_bindir}/antlr

mv $RPM_BUILD_ROOT{%{_datadir}/%{name}-%{version}/*.py,%{py_sitescriptdir}/%{name}}
%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}/%{name}
rm -f $RPM_BUILD_ROOT%{py_sitescriptdir}/%{name}/*.py

rm -f $RPM_BUILD_ROOT%{_sbindir}/pyantlr.sh
rm -f $RPM_BUILD_ROOT%{_libdir}/antlr*

# TODO: install where Emacs and JEdit will look for that
rm -f $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/*.{xml,el}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/*
%attr(755,root,root) %{_bindir}/antlr
%attr(755,root,root) %{_bindir}/antlr-config
%{_includedir}/%{name}
%{_libdir}/libantlr.a
%{_datadir}/%{name}*
# Don't separate it, antlr binary won't work without it
%{_javadir}/*.jar

%files -n python-%{name}
%defattr(644,root,root,755)
%{py_sitescriptdir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: antlr.spec,v $
Revision 1.23.2.8  2006/05/24 08:13:09  jajcus
- jpackage utils are required together with rpmbuild(macros) >= 1.300

Revision 1.23.2.7  2006/05/24 08:11:49  jajcus
- Release: 5
- another try with gcc-java

Revision 1.23.2.6  2006/05/22 20:45:22  qboosh
- formatting, pl for python- from HEAD; added missing defattr

Revision 1.23.2.5  2006/05/21 17:17:39  jajcus
- Release: 4

Revision 1.23.2.4  2006/05/21 15:27:10  jajcus
- do not use gcc-java by default. GIJ doesn't work well

Revision 1.23.2.3  2006/05/21 15:20:39  jajcus
- Always use "gij" to execute gcc-java version
- explicit --disable-csharp, so csharp in build environment makes no difference

Revision 1.23.2.2  2006/05/21 14:19:14  jajcus
- Release: 3
- python runtime subpackage
- do not require gcc-java-tools, any jar implementation should be enough
- use the standard %{_javadir} macro
- use %{java_home} when building with javac

Revision 1.23.2.1  2005/04/28 19:44:28  qboosh
- needs gcc-java in Ac

Revision 1.23  2005/04/13 21:18:48  qboosh
- fixed build with gcj and gcj/javac builds in presence of jikes

Revision 1.22  2005/04/12 21:55:58  djurban
- fix the antlr.jar location properly, rel. 2

Revision 1.21  2005/04/12 21:48:38  djurban
- update to 2.7.5, rel. 1, fix finally the .jar location and make the antlr binary actually work
- builds with sun's javac not tested on gcj, also updated todo - bindings for python and mono need to be packaged

Revision 1.20  2004/12/14 18:05:07  qboosh
- no //

Revision 1.19  2004/12/14 17:48:41  baggins
- one more typo

Revision 1.18  2004/12/14 17:47:57  baggins
- typo

Revision 1.17  2004/12/14 17:36:26  baggins
- release 2
- put jar file in proper place

Revision 1.16  2004/09/09 18:12:24  pluto
- bcond's desc fixed.

Revision 1.15  2004/05/18 20:42:22  qboosh
- bcond_with javac (use jdk instead of gcj, no native version)

Revision 1.14  2004/05/18 18:31:42  adgor
- Reverted CLASSPATH export (commented out but may be usefull)

Revision 1.13  2004/05/18 18:20:10  adgor
- 2.7.4

Revision 1.12  2004/02/13 15:06:35  twittner
- typo

Revision 1.11  2003/12/18 00:32:27  undefine
- release 5, remove obsoletes: cs..-antlr

Revision 1.10  2003/11/12 23:16:59  matkor
- Release 4. Removed jre dependency. Not sure if it should be done on HEAD.

Revision 1.9  2003/11/12 15:18:23  matkor
- Be more specific in BR for Ac builders.

Revision 1.8  2003/11/12 15:05:53  matkor
- Release 3. Switched to use gcc-java istead of jdk.

Revision 1.7  2003/10/12 12:22:22  qboosh
- pl, s/java/jre/ in R

Revision 1.6  2003/10/12 08:41:58  adgor
- Fixed Conflicts; added Obsoletes pccts-antlr
- Release 0.%%{_snap}.2

Revision 1.5  2003/10/09 21:07:17  adgor
- wget@df sucks?

Revision 1.4  2003/10/09 18:36:54  adgor
- Updated to 20030911 snapshot (2.7.2 produces a code that is not acceptable
  by gcc-3.1.1)
- Fixed patches

Revision 1.3  2003/10/09 16:08:01  adgor
- BR: jdk; R: java

Revision 1.2  2003/10/09 15:59:43  adgor
- Making antlr run-script usable
- Removed classpath.patch (reduced && merged with scripts.patch)
- Removed CLASSPATH export
- Release 2

Revision 1.1  2003/10/09 12:49:02  adgor
- Initial
